Subject: [PATCH V3 2/4] ARM64 LPC: LPC driver implementation on Hip06

From: [email-masked] (Benjamin Herrenschmidt)
Date: Thu, 06 Oct 2016 11:18:32 +1100

On Tue, 2016-10-04 at 13:02 +0100, John Garry wrote:
> Right, so I think Zhichang can make the necessary generic changes to?
> 8250 OF driver to support IO port as well as MMIO-based.
> 
> However an LPC-based earlycon driver is still required.
> 
> A note on hip07-based D05 (for those unaware): this does not use?
> LPC-based uart. It uses PL011. The hardware guys have managed some?
> trickery where they loopback the serial line around the BMC/CPLD. But we?
> still need it for hip06 D03 and any other boards which want to use LPC?
> bus for uart.
> 
> A question on SBSA: does it propose how to provide serial via BMC for SOL?

Probably another reason to keep 8250 as a legal option ... The (very
popular) Aspeed BMCs tend to do this via a 8250-looking virtual UART on
LPC.

Cheers,
Ben,